org.apache.felix.ipojo.task

## Class IPojoTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.felix.ipojo.task.IPojoTask

    public class IPojoTask
    extends org.apache.tools.ant.Task

iPOJO Ant Task. This Ant task manipulates an input bundle.

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`description, location, target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`project`

### Constructor Summary

Constructors
Constructor and Description
`IPojoTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.tools.ant.types.Path` `createClasspath()` Creates a nested classpath element.
`void` `execute()` Execute the Ant Task.
`org.apache.tools.ant.types.Path` `getClasspath()` Gets the classpath.
`void` `setClasspath(org.apache.tools.ant.types.Path classpath)` Set the classpath to be used for this packaging.
`void` `setClasspathRef(org.apache.tools.ant.types.Reference pathRef)` Adds to the classpath a reference to a <path> defined elsewhere.
`void` `setDir(File dir)` Set the input directory.
`void` `setIgnoreAnnotations(boolean flag)` Set if we need to ignore annotations or not.
`void` `setIgnoreEmbeddedSchemas(boolean flag)` Set if we need to use embedded XSD files or not.
`void` `setInput(File in)` Set the input bundle.
`void` `setManifest(File manifest)` Set the manifest file.
`void` `setMetadata(File meta)` Set the metadata file.
`void` `setOutput(File out)` Set the output bundle.

### Methods inherited from class org.apache.tools.ant.Task

`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getProject, setProject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IPojoTask

    public IPojoTask()

### Method Detail

#### setMetadata

    public void setMetadata(File meta)

Set the metadata file.

Parameters:
  `meta` - : the metadata file.

#### setManifest

    public void setManifest(File manifest)

Set the manifest file.

Parameters:
  `manifest` - : the manifest file.

#### setInput

    public void setInput(File in)

Set the input bundle.

Parameters:
  `in` - : the input bundle

#### setDir

    public void setDir(File dir)

Set the input directory.

Parameters:
  `dir` - : the input directory

#### setOutput

    public void setOutput(File out)

Set the output bundle.

Parameters:
  `out` - : the output bundle

#### setIgnoreAnnotations

    public void setIgnoreAnnotations(boolean flag)

Set if we need to ignore annotations or not.

Parameters:
  `flag` - : true if we need to ignore annotations.

#### setIgnoreEmbeddedSchemas

    public void setIgnoreEmbeddedSchemas(boolean flag)

Set if we need to use embedded XSD files or not.

Parameters:
  `flag` - : true if we need to ignore embedded XSD files.

#### execute

    public void execute()

Execute the Ant Task.

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
See Also:
  `Task.execute()`

#### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path classpath)

Set the classpath to be used for this packaging.

Parameters:
  `classpath` - the classpath used for this packaging

#### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

Creates a nested classpath element.

Returns:
  classpath

#### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference pathRef)

Adds to the classpath a reference to a <path> defined elsewhere.

Parameters:
  `pathRef` - the reference to add to the classpath

#### getClasspath

    public org.apache.tools.ant.types.Path getClasspath()

Gets the classpath.

Returns:
  the classpath